Index: /palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- /palm/trunk/SOURCE/buoyancy.f90	(revision 1319)
+++ /palm/trunk/SOURCE/buoyancy.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Currrent revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -55,35 +60,4 @@
 ! 1010 2012-09-20 07:59:54Z raasch
 ! cpp switch __nopointer added for pointer free version
-!
-! 622 2010-12-10 08:08:13Z raasch
-! optional barriers included in order to speed up collective operations
-!
-! 515 2010-03-18 02:30:38Z raasch
-! PGI-compiler creates SIGFPE in routine buoyancy, if opt>1 is used! Therefore,
-! opt=1 is forced by compiler-directive.
-!
-! 247 2009-02-27 14:01:30Z heinze
-! Output of messages replaced by message handling routine
-!
-! 132 2007-11-20 09:46:11Z letzel
-! Vertical scalar profiles now based on nzb_s_inner and ngp_2dh_s_inner.
-!
-! 106 2007-08-16 14:30:26Z raasch
-! i loop for u-component (sloping surface) is starting from nxlu (needed for
-! non-cyclic boundary conditions)
-! 
-! 97 2007-06-21 08:23:15Z raasch
-! Routine reneralized to be used with temperature AND density:
-! argument theta renamed var, new argument var_reference,
-! use_pt_reference renamed use_reference,
-! calc_mean_pt_profile renamed calc_mean_profile
-!
-! 57 2007-03-09 12:05:41Z raasch
-! Reference temperature pt_reference can be used.
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.19  2006/04/26 12:09:56  raasch
-! OpenMP optimization (one dimension added to sums_l)
 !
 ! Revision 1.1  1997/08/29 08:56:48  raasch
@@ -121,16 +95,30 @@
     SUBROUTINE buoyancy( var, wind_component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  pt, pt_slope_ref, ref_state, tend
+
+       USE control_parameters,                                                 &
+           ONLY:  atmos_ocean_sign, cos_alpha_surface, g, message_string,      &
+                  pt_surface, sin_alpha_surface, sloping_surface
+
+       USE indices,                                                            &
+           ONLY:  nxl, nxlu, nxr, nyn, nys, nzb_s_inner, nzt
+
+       USE kinds
+
        USE pegrid
 
+
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, wind_component
+       INTEGER(iwp) ::  i              !:
+       INTEGER(iwp) ::  j              !:
+       INTEGER(iwp) ::  k              !:
+       INTEGER(iwp) ::  wind_component !:
+       
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  var
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  var
 #endif
 
@@ -185,5 +173,5 @@
           ELSE
              
-             WRITE( message_string, * ) 'no term for component "',&
+             WRITE( message_string, * ) 'no term for component "',             &
                                        wind_component,'"'
              CALL message( 'buoyancy', 'PA0159', 1, 2, 0, 6, 0 )
@@ -201,16 +189,31 @@
     SUBROUTINE buoyancy_acc( var, wind_component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  pt, pt_slope_ref, ref_state, tend
+
+       USE control_parameters,                                                 &
+           ONLY:  atmos_ocean_sign, cos_alpha_surface, g, message_string,      &
+                  pt_surface, sin_alpha_surface, sloping_surface
+
+       USE indices,                                                            &
+           ONLY:  i_left, i_right, j_north, j_south, nxl, nxlu, nxr, nyn, nys, &
+                  nzb_s_inner, nzt
+
+       USE kinds
+
        USE pegrid
 
+
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, wind_component
+       INTEGER(iwp) ::  i              !:
+       INTEGER(iwp) ::  j              !:
+       INTEGER(iwp) ::  k              !:
+       INTEGER(iwp) ::  wind_component !:
+       
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  var
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  var
 #endif
 
@@ -269,5 +272,5 @@
           ELSE
 
-             WRITE( message_string, * ) 'no term for component "',&
+             WRITE( message_string, * ) 'no term for component "',             &
                                        wind_component,'"'
              CALL message( 'buoyancy', 'PA0159', 1, 2, 0, 6, 0 )
@@ -288,16 +291,31 @@
     SUBROUTINE buoyancy_ij( i, j, var, wind_component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  pt, pt_slope_ref, ref_state, tend
+
+       USE control_parameters,                                                 &
+           ONLY:  atmos_ocean_sign, cos_alpha_surface, g, message_string,      &
+                  pt_surface, sin_alpha_surface, sloping_surface
+
+       USE indices,                                                            &
+           ONLY:  nzb_s_inner, nzt
+
+       USE kinds
+
        USE pegrid
 
+
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, pr, wind_component
+       INTEGER(iwp) ::  i              !:
+       INTEGER(iwp) ::  j              !:
+       INTEGER(iwp) ::  k              !:
+       INTEGER(iwp) ::  pr             !:
+       INTEGER(iwp) ::  wind_component !:
+       
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  var
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  var
 #endif
 
@@ -307,7 +325,7 @@
 !--       Normal case: horizontal surface
           DO  k = nzb_s_inner(j,i)+1, nzt-1
-              tend(k,j,i) = tend(k,j,i) + atmos_ocean_sign * g * 0.5 * (     &
-                        ( var(k,j,i)   - ref_state(k)   ) / ref_state(k)   + &
-                        ( var(k+1,j,i) - ref_state(k+1) ) / ref_state(k+1)   &
+              tend(k,j,i) = tend(k,j,i) + atmos_ocean_sign * g * 0.5 * (       &
+                        ( var(k,j,i)   - ref_state(k)   ) / ref_state(k)   +   &
+                        ( var(k+1,j,i) - ref_state(k+1) ) / ref_state(k+1)     &
                                                                        )
           ENDDO
@@ -340,5 +358,5 @@
           ELSE
 
-             WRITE( message_string, * ) 'no term for component "',&
+             WRITE( message_string, * ) 'no term for component "',             &
                                        wind_component,'"'
              CALL message( 'buoyancy', 'PA0159', 1, 2, 0, 6, 0 )
@@ -361,18 +379,36 @@
 !------------------------------------------------------------------------------!
 
-       USE arrays_3d,  ONLY: ref_state
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ref_state
+
+       USE control_parameters,                                                 &
+           ONLY:  intermediate_timestep_count, message_string
+
+       USE indices,                                                            &
+           ONLY:  ngp_2dh_s_inner, nxl, nxr, nyn, nys, nzb, nzb_s_inner, nzt
+
+       USE kinds
+
        USE pegrid
-       USE statistics
+
+       USE statistics,                                                         &
+           ONLY:  flow_statistics_called, hom, sums, sums_l
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, omp_get_thread_num, pr, tn
-       CHARACTER (LEN=*) ::  loc
+       CHARACTER (LEN=*) ::  loc !:
+       
+       INTEGER(iwp) ::  i                  !:
+       INTEGER(iwp) ::  j                  !:
+       INTEGER(iwp) ::  k                  !:
+       INTEGER(iwp) ::  pr                 !: 
+       INTEGER(iwp) ::  omp_get_thread_num !:
+       INTEGER(iwp) ::  tn                 !:
+       
 #if defined( __nopointer )
-       REAL, DIMENSION(:,:,:) ::  var
+       REAL(wp), DIMENSION(:,:,:) ::  var  !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  var
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  var
 #endif
 
@@ -383,5 +419,5 @@
 !--    spare communication time and to produce identical model results with jobs
 !--    which are calling flow_statistics at different time intervals.
-       IF ( .NOT. flow_statistics_called  .AND. &
+       IF ( .NOT. flow_statistics_called  .AND.                                &
             intermediate_timestep_count == 1 )  THEN
 
@@ -409,5 +445,5 @@
 
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-          CALL MPI_ALLREDUCE( sums_l(nzb,pr,0), sums(nzb,pr), nzt+2-nzb, &
+          CALL MPI_ALLREDUCE( sums_l(nzb,pr,0), sums(nzb,pr), nzt+2-nzb,       &
                               MPI_REAL, MPI_SUM, comm2d, ierr )
 
Index: /palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1319)
+++ /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -38,20 +43,4 @@
 ! code put under GPL (PALM 3.9)
 !
-! 667 2010-12-23 12:06:00Z suehring/gyschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-!
-! 95 2007-06-02 16:48:38Z raasch
-! hydro_press renamed hyp
-!
-! 19 2007-02-23 04:53:48Z raasch
-! Old comment removed
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.5  2005/03/26 15:22:06  raasch
-! Arguments for non-cyclic boundary conditions added to argument list of
-! routine exchange_horiz,
-! ql calculated for the ghost points, exchange of ghost points removed
-!
 ! Revision 1.1  2000/04/13 14:50:45  schroeter
 ! Initial revision
@@ -67,17 +56,31 @@
 
 
-    USE arrays_3d
-    USE cloud_parameters
-    USE constants
-    USE control_parameters
-    USE grid_variables
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  hyp, pt, q, qc, ql, qr
+
+    USE cloud_parameters,                                                      &
+        ONLY:  l_d_cp, l_d_r, t_d_pt
+
+    USE control_parameters,                                                    &
+        ONLY:  icloud_scheme, precipitation
+
+    USE indices,                                                               &
+        ONLY:  nxlg, nxrg, nyng, nysg, nzb_s_inner, nzt
+
+    USE kinds
+
     USE pegrid
+
 
     IMPLICIT NONE
 
-    INTEGER :: i, j, k
+    INTEGER(iwp) ::  i !:
+    INTEGER(iwp) ::  j !:
+    INTEGER(iwp) ::  k !:
 
-    REAL :: alpha, e_s, q_s, t_l
+    REAL(wp) ::  alpha !:
+    REAL(wp) ::  e_s   !:
+    REAL(wp) ::  q_s   !:
+    REAL(wp) ::  t_l   !:
 
     DO  i = nxlg, nxrg
@@ -91,5 +94,5 @@
 !
 !--          Compute saturation water vapor pressure at t_l
-             e_s = 610.78 * EXP( 17.269 * ( t_l - 273.16 ) / &
+             e_s = 610.78 * EXP( 17.269 * ( t_l - 273.16 ) /                   &
                                           ( t_l - 35.86 ) )
 
Index: /palm/trunk/SOURCE/calc_precipitation.f90
===================================================================
--- /palm/trunk/SOURCE/calc_precipitation.f90	(revision 1319)
+++ /palm/trunk/SOURCE/calc_precipitation.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -28,19 +33,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 403 2009-10-22 13:57:16Z franke
-! Bugfix in calculation of precipitation_rate(j,i)
-!
-! 73 2007-03-20 08:33:14Z raasch
-! Precipitation rate and amount are calculated/stored,
-! + module control_parameters
-!
-! 19 2007-02-23 04:53:48Z raasch
-! Calculation extended for gridpoint nzt
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.5  2004/01/30 10:15:57  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
 !
 ! Revision 1.1  2000/04/13 14:45:22  schroeter
@@ -71,14 +61,29 @@
     SUBROUTINE calc_precipitation
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE constants
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  dzw, ql, tend
+
+       USE cloud_parameters,                                                   &
+           ONLY:  precipitation_amount, precipitation_rate, prec_time_const,   &
+                  ql_crit
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_do2d_xy, dt_3d,                                           &
+                  intermediate_timestep_count, intermediate_timestep_count_max,&
+                  precipitation_amount_interval, time_do2d_xy
+
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nyn, nys, nzb_2d, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+       
+       REAL(wp)    ::  dqdt_precip !:
 
        precipitation_rate = 0.0
@@ -96,5 +101,5 @@
 !
 !--             Precipitation rate in kg / m**2 / s (= mm/s)
-                precipitation_rate(j,i) = precipitation_rate(j,i) + &
+                precipitation_rate(j,i) = precipitation_rate(j,i) +            &
                                           dqdt_precip * dzw(k)
 
@@ -102,9 +107,9 @@
 !
 !--          Sum up the precipitation amount, unit kg / m**2 (= mm)
-             IF ( intermediate_timestep_count ==         &
-                  intermediate_timestep_count_max  .AND. &
+             IF ( intermediate_timestep_count ==                               &
+                  intermediate_timestep_count_max  .AND.                       &
                   ( dt_do2d_xy-time_do2d_xy ) < precipitation_amount_interval )&
              THEN
-                precipitation_amount(j,i) = precipitation_amount(j,i) + &
+                precipitation_amount(j,i) = precipitation_amount(j,i) +        &
                                             precipitation_rate(j,i) * dt_3d
              ENDIF
@@ -120,14 +125,29 @@
     SUBROUTINE calc_precipitation_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE constants
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  dzw, ql, tend
+
+       USE cloud_parameters,                                                   &
+           ONLY:  precipitation_amount, precipitation_rate, prec_time_const,   &
+                  ql_crit
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_do2d_xy, dt_3d,                                           &
+                  intermediate_timestep_count, intermediate_timestep_count_max,&
+                  precipitation_amount_interval, time_do2d_xy
+
+       USE indices,                                                            &
+           ONLY:  nzb_2d, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+       
+       REAL(wp)    ::  dqdt_precip !:       
 
        precipitation_rate(j,i) = 0.0
@@ -147,5 +167,5 @@
 !
 !--       Precipitation rate in kg / m**2 / s (= mm/s)
-          precipitation_rate(j,i) = precipitation_rate(j,i) + dqdt_precip * &
+          precipitation_rate(j,i) = precipitation_rate(j,i) + dqdt_precip *    &
                                                               dzw(k)
 
@@ -157,5 +177,5 @@
             .AND. ( dt_do2d_xy-time_do2d_xy ) < precipitation_amount_interval )&
        THEN
-          precipitation_amount(j,i) = precipitation_amount(j,i) + &
+          precipitation_amount(j,i) = precipitation_amount(j,i) +              &
                                       precipitation_rate(j,i) * dt_3d
        ENDIF
Index: /palm/trunk/SOURCE/calc_radiation.f90
===================================================================
--- /palm/trunk/SOURCE/calc_radiation.f90	(revision 1319)
+++ /palm/trunk/SOURCE/calc_radiation.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -28,9 +33,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.6  2004/01/30 10:17:03  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
 !
 ! Revision 1.1  2000/04/13 14:42:45  schroeter
@@ -43,13 +43,15 @@
 ! based on the parameterization of the cloud effective emissivity
 !------------------------------------------------------------------------------!
-
+    USE kinds
+    
     PRIVATE
     PUBLIC calc_radiation
     
-    LOGICAL, SAVE ::  first_call = .TRUE.
-    REAL, SAVE    ::  sigma = 5.67E-08
-
-    REAL, DIMENSION(:), ALLOCATABLE, SAVE ::  lwp_ground, lwp_top, &
-                                              blackbody_emission
+    LOGICAL, SAVE ::  first_call = .TRUE. !:
+    REAL(wp), SAVE ::  sigma = 5.67E-08   !:
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE, SAVE ::  lwp_ground         !:
+    REAL(wp), DIMENSION(:), ALLOCATABLE, SAVE ::  lwp_top            !:
+    REAL(wp), DIMENSION(:), ALLOCATABLE, SAVE ::  blackbody_emission !:
 
     INTERFACE calc_radiation
@@ -66,18 +68,40 @@
     SUBROUTINE calc_radiation
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  dzw, pt, ql, tend
+
+       USE cloud_parameters,                                                   &
+           ONLY:  cp, l_d_cp, pt_d_t, t_d_pt
+
+       USE control_parameters,                                                 &
+           ONLY:  rho_surface
+
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nyn, nys, nzb, nzb_2d, nzt
+
+       USE kinds
+
        USE pegrid
 
+
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, k_help
+       INTEGER(iwp) ::  i      !:
+       INTEGER(iwp) ::  j      !:
+       INTEGER(iwp) ::  k      !:
+       INTEGER(iwp) ::  k_help !:
  
-       REAL :: df_p, df_m , effective_emission_up_m, effective_emission_up_p, &
-               effective_emission_down_m, effective_emission_down_p,          &
-               f_up_m, f_up_p, f_down_m, f_down_p, impinging_flux_at_top,     &
-               temperature
+       REAL(wp) :: df_p                      !:
+       REAL(wp) :: df_m                      !:
+       REAL(wp) :: effective_emission_up_m   !:
+       REAL(wp) :: effective_emission_up_p   !:
+       REAL(wp) :: effective_emission_down_m !:
+       REAL(wp) :: effective_emission_down_p !:
+       REAL(wp) :: f_up_m                    !:
+       REAL(wp) :: f_up_p                    !:
+       REAL(wp) :: f_down_m                  !:
+       REAL(wp) :: f_down_p                  !:
+       REAL(wp) :: impinging_flux_at_top     !:
+       REAL(wp) :: temperature               !:
 
 
@@ -85,5 +109,5 @@
 !--    On first call, allocate temporary arrays
        IF ( first_call )  THEN
-          ALLOCATE( blackbody_emission(nzb:nzt+1), lwp_ground(nzb:nzt+1), &
+          ALLOCATE( blackbody_emission(nzb:nzt+1), lwp_ground(nzb:nzt+1),      &
                     lwp_top(nzb:nzt+1) )
           first_call = .FALSE.
@@ -105,8 +129,8 @@
 
                 k_help = ( nzt+nzb+1 ) - k
-                lwp_ground(k)   = lwp_ground(k-1) + rho_surface * ql(k,j,i) * &
+                lwp_ground(k)   = lwp_ground(k-1) + rho_surface * ql(k,j,i) *  &
                                   dzw(k)
 
-                lwp_top(k_help) = lwp_top(k_help+1) + &
+                lwp_top(k_help) = lwp_top(k_help+1) +                          &
                                   rho_surface * ql(k_help,j,i) * dzw(k_help)
 
@@ -116,9 +140,9 @@
              ENDDO
 
-             lwp_ground(nzt+1) = lwp_ground(nzt) + &
+             lwp_ground(nzt+1) = lwp_ground(nzt) +                             &
                                  rho_surface * ql(nzt+1,j,i) * dzw(nzt+1)
              lwp_top(nzb)      = lwp_top(nzb+1)
 
-             temperature       = pt(nzt+1,j,i) * t_d_pt(nzt+1) + l_d_cp * &
+             temperature       = pt(nzt+1,j,i) * t_d_pt(nzt+1) + l_d_cp *      &
                                  ql(nzt+1,j,i)
              blackbody_emission(nzt+1) = sigma * temperature**4.0
@@ -135,29 +159,29 @@
 !
 !--                Compute effective emissivities
-                   effective_emission_up_p   = 1.0 - &
+                   effective_emission_up_p   = 1.0 -                           &
                                                EXP( -130.0 * lwp_ground(k+1) )
-                   effective_emission_up_m   = 1.0 - &
+                   effective_emission_up_m   = 1.0 -                           &
                                                EXP( -130.0 * lwp_ground(k-1) )
-                   effective_emission_down_p = 1.0 - &
+                   effective_emission_down_p = 1.0 -                           &
                                                EXP( -158.0 * lwp_top(k+1) )
-                   effective_emission_down_m = 1.0 - &
+                   effective_emission_down_m = 1.0 -                           &
                                                EXP( -158.0 * lwp_top(k-1) )  
 
 !
 !--                Compute vertical long wave radiation fluxes
-                   f_up_p = blackbody_emission(nzb) + &
-                            effective_emission_up_p * &
+                   f_up_p = blackbody_emission(nzb) +                          &
+                            effective_emission_up_p *                          &
                            ( blackbody_emission(k) - blackbody_emission(nzb) )
 
-                   f_up_m = blackbody_emission(nzb) + &
-                            effective_emission_up_m * &
+                   f_up_m = blackbody_emission(nzb) +                          &
+                            effective_emission_up_m *                          &
                            ( blackbody_emission(k-1) - blackbody_emission(nzb) )
 
-                   f_down_p = impinging_flux_at_top + &
-                              effective_emission_down_p * &
+                   f_down_p = impinging_flux_at_top +                          &
+                              effective_emission_down_p *                      &
                              ( blackbody_emission(k) - impinging_flux_at_top )
 
-                   f_down_m = impinging_flux_at_top + &
-                              effective_emission_down_m * &
+                   f_down_m = impinging_flux_at_top +                          &
+                              effective_emission_down_m *                      &
                              ( blackbody_emission(k-1) - impinging_flux_at_top )
 
@@ -169,6 +193,6 @@
 !
 !--                Compute tendency term         
-                   tend(k,j,i) = tend(k,j,i) - &
-                                ( pt_d_t(k) / ( rho_surface * cp ) * &
+                   tend(k,j,i) = tend(k,j,i) -                                 &
+                                ( pt_d_t(k) / ( rho_surface * cp ) *           &
                                   ( df_p - df_m ) / dzw(k) )
 
@@ -187,23 +211,46 @@
     SUBROUTINE calc_radiation_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  dzw, pt, ql, tend
+
+       USE cloud_parameters,                                                   &
+           ONLY:  cp, l_d_cp, pt_d_t, t_d_pt
+
+       USE control_parameters,                                                 &
+           ONLY:  rho_surface
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_2d, nzt
+
+       USE kinds
+
        USE pegrid
+
    
        IMPLICIT NONE
 
-       INTEGER :: i, j, k, k_help
-
-       REAL :: df_p, df_m , effective_emission_up_m, effective_emission_up_p, &
-               effective_emission_down_m, effective_emission_down_p,          &
-               f_up_m, f_up_p, f_down_m, f_down_p, impinging_flux_at_top,     &
-               temperature
-
+       INTEGER(iwp) ::  i      !:
+       INTEGER(iwp) ::  j      !:
+       INTEGER(iwp) ::  k      !:
+       INTEGER(iwp) ::  k_help !:
+
+       REAL(wp) :: df_p                      !:
+       REAL(wp) :: df_m                      !:
+       REAL(wp) :: effective_emission_up_m   !:
+       REAL(wp) :: effective_emission_up_p   !:
+       REAL(wp) :: effective_emission_down_m !:
+       REAL(wp) :: effective_emission_down_p !:
+       REAL(wp) :: f_up_m                    !:
+       REAL(wp) :: f_up_p                    !:
+       REAL(wp) :: f_down_m                  !:
+       REAL(wp) :: f_down_p                  !:
+       REAL(wp) :: impinging_flux_at_top     !:
+       REAL(wp) :: temperature               !:
+
+       
 !
 !--    On first call, allocate temporary arrays
        IF ( first_call )  THEN
-          ALLOCATE( blackbody_emission(nzb:nzt+1), lwp_ground(nzb:nzt+1), &
+          ALLOCATE( blackbody_emission(nzb:nzt+1), lwp_ground(nzb:nzt+1),      &
                     lwp_top(nzb:nzt+1) )
           first_call = .FALSE.
@@ -223,5 +270,5 @@
           lwp_ground(k)   = lwp_ground(k-1) + rho_surface * ql(k,j,i) * dzw(k)
 
-          lwp_top(k_help) = lwp_top(k_help+1) + &
+          lwp_top(k_help) = lwp_top(k_help+1) +                                &
                             rho_surface * ql(k_help,j,i) * dzw(k_help)
 
@@ -230,9 +277,9 @@
 
        ENDDO
-       lwp_ground(nzt+1) = lwp_ground(nzt) + &
+       lwp_ground(nzt+1) = lwp_ground(nzt) +                                   &
                            rho_surface * ql(nzt+1,j,i) * dzw(nzt+1)
        lwp_top(nzb)      = lwp_top(nzb+1)
 
-       temperature       = pt(nzt+1,j,i) * t_d_pt(nzt+1) + l_d_cp * &
+       temperature       = pt(nzt+1,j,i) * t_d_pt(nzt+1) + l_d_cp *            &
                            ql(nzt+1,j,i)
        blackbody_emission(nzt+1) = sigma * temperature**4.0
@@ -249,25 +296,25 @@
 !
 !--          Compute effective emissivities
-             effective_emission_up_p   = 1.0 - &
+             effective_emission_up_p   = 1.0 -                                 &
                                          EXP( -130.0 * lwp_ground(k+1) )
-             effective_emission_up_m   = 1.0 - &
+             effective_emission_up_m   = 1.0 -                                 &
                                          EXP( -130.0 * lwp_ground(k-1) )
-             effective_emission_down_p = 1.0 - &
+             effective_emission_down_p = 1.0 -                                 &
                                          EXP( -158.0 * lwp_top(k+1) )
-             effective_emission_down_m = 1.0 - &
+             effective_emission_down_m = 1.0 -                                 &
                                          EXP( -158.0 * lwp_top(k-1) )  
              
 !
 !--          Compute vertical long wave radiation fluxes
-             f_up_p = blackbody_emission(nzb) + effective_emission_up_p * &
+             f_up_p = blackbody_emission(nzb) + effective_emission_up_p *      &
                      ( blackbody_emission(k) - blackbody_emission(nzb) )
 
-             f_up_m = blackbody_emission(nzb) + effective_emission_up_m * &
+             f_up_m = blackbody_emission(nzb) + effective_emission_up_m *      &
                      ( blackbody_emission(k-1) - blackbody_emission(nzb) )
 
-             f_down_p = impinging_flux_at_top + effective_emission_down_p * &
+             f_down_p = impinging_flux_at_top + effective_emission_down_p *    &
                        ( blackbody_emission(k) - impinging_flux_at_top )
 
-             f_down_m = impinging_flux_at_top + effective_emission_down_m * &
+             f_down_m = impinging_flux_at_top + effective_emission_down_m *    &
                        ( blackbody_emission(k-1) - impinging_flux_at_top )
 
@@ -279,5 +326,5 @@
 !
 !--          Compute tendency term         
-             tend(k,j,i) = tend(k,j,i) - ( pt_d_t(k) / ( rho_surface * cp ) * &
+             tend(k,j,i) = tend(k,j,i) - ( pt_d_t(k) / ( rho_surface * cp ) *  &
                                          ( df_p - df_m ) / dzw(k) )
 
